## uwsgi 2.0.28

=== Makefile ===
PYTHON := python3

all:
	$(PYTHON) uwsgiconfig.py --build $(PROFILE)

clean:
	$(PYTHON) uwsgiconfig.py --clean
	cd unittest && make clean

check:
	$(PYTHON) uwsgiconfig.py --check

plugin.%:
	$(PYTHON) uwsgiconfig.py --plugin plugins/$* $(PROFILE)

unittests:
	$(PYTHON) uwsgiconfig.py --build unittest
	cd unittest && make test

tests:
	$(PYTHON) t/runner

%:
	$(PYTHON) uwsgiconfig.py --build $@

=== unittest/Makefile ===

CFLAGS = $(shell pkg-config --cflags check)
CFLAGS += -DUWSGI_PCRE2
LDFLAGS = $(shell pkg-config --libs check)
LDFLAGS += -ldl -lz
LDFLAGS += $(shell xml2-config --libs)
LDFLAGS += $(shell pkg-config --libs openssl)
LDFLAGS += $(shell pcre2-config --libs8)
LDFLAGS += $(shell pkg-config --libs jansson)

UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Linux)
	LDFLAGS += -lcap
endif


objects = check_core check_regexp

all: $(objects)

$(objects): %: %.c ../libuwsgi.a
	$(CC) $(CFLAGS) -o $@ $< ../libuwsgi.a $(LDFLAGS)

test: all
	@for file in $(objects); do ./$$file; done

clean:
	rm -f $(objects)

=== debian/changelog ===
uwsgi (2.0.28-9deepin1) unstable; urgency=medium

  * remove shellcheck, nocheck

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 09 Apr 2025 16:59:15 +0800

uwsgi (2.0.28-9) unstable; urgency=medium

  [ Alexandre Rossi ]
  * link with -z noexestack
    closes: bug#1096104

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Mar 2025 20:27:35 +0100

uwsgi (2.0.28-8) unstable; urgency=medium

  * avoid installing examples in indep-only build

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 14:22:14 +0100

uwsgi (2.0.28-7) unstable; urgency=medium

  * build-depend (not -indep) on shellcheck

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 12:38:04 +0100

uwsgi (2.0.28-6) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * simplify packaging;
    use debhelper compatibility level 13 (not 10);
    build-depend on debhelper-compat (not cdbs dh-buildinfo);
    closes: bug#1076420
  * support DEB_BUILD_OPTIONS=nodoc

  [ Alexandre Rossi ]
  * add patch i1004 to make rack plugin compatible with rack3;
    closes: #1094637

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 02:24:37 +0100

uwsgi (2.0.28-5) unstable; urgency=medium

  * revert packaging simplification;
    build-depend on cdbs (not dh-compat);
    reopens: bug#1076420

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jan 2025 03:27:54 +0100

uwsgi (2.0.28-4) unstable; urgency=medium

  * fix arch/indep build targets

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jan 2025 02:12:55 +0100

uwsgi (2.0.28-3) unstable; urgency=medium

  [ Alexandre Rossi ]
  * add patch to fix pypy tests when run from another dir
  * simplify packaging;
    build-depend on dh-compat (not cdbs);
    closes: bug#1076420

  [ Jonas Smedegaard ]
  * stop provide metapackages
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Jan 2025 18:34:36 +0100

uwsgi (2.0.28-2) unstable; urgency=medium

  [ Alexandre Rossi ]
  * stop build-depend on dh-buildinfo;
    closes: bug#1088393
  * add 1007_fix_php_pypy_tests.patch
  * stop build or provide plugins now built externally:
    gccgo glusterfs java lua psgi python rados ruby;
    closes: bug#868752, #1069875, #1092756, #1093818
  * stop build useless binary uwsgi-core-local

  [ Jonas Smedegaard ]
  * simplify long description slightly,
    to mention less details for separately built packages
  * update copyright info:
    + use field Reference
    + update coverage
  * have binary package uwsgi-app-integration-plugins depend on
    new separately built uwsgi-plugin-pypy3
  * drop done or externalized TODOs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Jan 2025 20:27:36 +0100

uwsgi (2.0.28-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Alexandre Rossi ]
  * remove obsolete README.source
  * drop patch 1004, applied upstream
  * add patch 2002 to ensure stable py plugins name for users
  * tidy rules file related to obsolete apache2 debhelper snippets
  * autopkgtest python3, cgi, psgi and rack plugins

  [ Jonas Smedegaard ]
  * unfuzz and reorder patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Oct 2024 22:50:18 +0200

uwsgi (2.0.26-4) unstable; urgency=medium

  [ Alexandre Rossi ]
  * drop libapache2-mod-{uwsgi,ruwsgi} considered deprecated
  * fix dh_clean confusion between manpages and binary pkg dirs
  * drop mono plugin, mono runtime in bad shape in Debian;
    closes: #1079881
  * add patch porting pypy plugin to pypy3
  * add upstream integration tests to uwsgi-src

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Sep 2024 11:51:00 +0200

uwsgi (2.0.26-3) unstable; urgency=medium

  [ Alexandre Rossi & Jonas Smedegaard ]
  * simplify packaging
  
  [ Jonas Smedegaard ]
  * reintroduce perl module coroae
    (bug#787500 was solved without dropping coro from Debian)
  * stop build Apache2 module mod-proxy,
    not installed since 2.0.15-11
  * fix register Apache2 modules
  * fix avoid cleaning apache2 hint files,
    no longer generated during build

  [ Alexandre Rossi ]
  * install apache2 module sources and uwsgidecorators.py
    with binary package uwsgi-src

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Aug 2024 12:40:25 +0200

=== debian/control ===
Source: uwsgi
Section: httpd
Priority: optional
Maintainer: uWSGI packaging team <pkg-uwsgi-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Alexandre Rossi <niol@zincube.net>,
Build-Depends:
 debhelper-compat (= 13),
 python3,
 help2man <!nodoc>,
 libacl1-dev,
 libcap-dev [linux-any],
 libcurl4-openssl-dev,
 libgeoip-dev,
 libgloox-dev,
 libjail-dev [kfreebsd-any],
 libjansson-dev,
 libkvm-dev [kfreebsd-any],
 libldap2-dev,
 libpam0g-dev,
 libpcre2-dev,
 libpq-dev,
 libsqlite3-dev,
 libssl-dev,
 libsystemd-dev [!kfreebsd-any !hurd-any] | libsystemd-journal-dev [!kfreebsd-any !hurd-any],
 libwrap0-dev,
 libxml2-dev,
 libxslt1-dev,
 libyajl-dev,
 libyaml-dev,
 libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
 uuid-dev,
 zlib1g-dev,
Standards-Version: 4.7.2
Homepage: http://projects.unbit.it/uwsgi/
Vcs-Git: https://salsa.debian.org/uwsgi-team/uwsgi.git
Vcs-Browser: https://salsa.debian.org/uwsgi-team/uwsgi
Rules-Requires-Root: no

Package: uwsgi
Architecture: any
Depends:
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: fast, self-healing application container server
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package depends on uWSGI core binary and installs:
  * init.d script for running uWSGI daemon(s) with options defined in custom
    user-created configuration files
  * infrastructure for running daemons (like common locations of communication
    sockets, logs)

Package: uwsgi-core
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 nginx-full | libapache2-mod-proxy-uwsgi,
 uwsgi-dev,
 uwsgi-extra,
Provides:
 ${uwsgi:Provides},
Description: fast, self-healing application container server (core)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package provides core uWSGI binary (built without any embedded
 plugins) and plugins with no or few dependencies:
 .
 ${uwsgi:corepluginlist}
 .
 forkptyrouter, systemd and tuntap are provided
 only on supported architectures.
 .
 Developing external uWSGI plugin requires the package uwsgi-dev.

Package: uwsgi-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends:
 uwsgi-src (= ${source:Version}),
 libpcre2-dev,
 libssl-dev,
 uuid-dev,
 zlib1g-dev,
 libcap-dev [linux-any],
 libjail-dev [kfreebsd-any],
 binutils,
 gcc,
 python3,
 uwsgi-core,
 libc6-dev | libc-dev,
 libbsd-dev [kfreebsd-any],
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 git,
 cppcheck,
Enhances:
 debhelper,
Provides:
 dh-sequence-uwsgi,
Description: fast, self-healing application container server (headers)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package provides development headers and tools needed to develop
 external uWSGI plugins, either contained in this package or pulled in
 through depending on development packages of dependent projects.

Package: uwsgi-emperor
Architecture: all
Depends:
 uwsgi-core,
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: fast, self-healing application container server (emperor scripts)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package depends on uWSGI core binary and installs:
  * init.d script for running uWSGI Emperor daemon with options defined in
    custom user-created configuration files
  * basic configuration for running uWSGI Emperor daemon

Package: uwsgi-extra
Architecture: all
Depends:
 ${misc:Depends},
Description: fast, self-healing application container server (extra files)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package provides extra files from uWSGI distribution.

Package: uwsgi-plugin-alarm-curl
Architecture: any
Depends:
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: cURL alarm plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides alarm_curl plugin for uWSGI.

Package: uwsgi-plugin-alarm-xmpp
Architecture: any
Depends:
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: XMPP alarm plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides alarm_xmpp plugin for uWSGI.

Package: uwsgi-plugin-curl-cron
Architecture: any
Depends:
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: cron cURL plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides curl_cron plugin for uWSGI.

Package: uwsgi-plugin-emperor-pg
Architecture: any
Depends:
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Emperor PostgreSQL plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides emperor_pg plugin for uWSGI.

Package: uwsgi-plugin-geoip
Architecture: any
Depends:
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: GeoIP plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides geoip plugin for uWSGI.

Package: uwsgi-plugin-graylog2
Architecture: any
Depends:
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: graylog2 plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides graylog2 plugin for uWSGI.

Package: uwsgi-plugin-ldap
Architecture: any
Depends:
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: LDAP plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides ldap plugin for uWSGI.

Package: uwsgi-plugin-router-access
Architecture: any
Depends:
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Access router plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides router_access plugin for uWSGI.

Package: uwsgi-plugin-sqlite3
Architecture: any
Depends:
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 sqlite3,
Description: SQLite 3 configurations plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides sqlite3 plugin for uWSGI, to load configurations
 from SQLite 3 database.

Package: uwsgi-plugin-xslt
Architecture: any
Depends:
 uwsgi-core (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: XSLT request plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides xslt plugin for uWSGI.

Package: uwsgi-src
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends:
 ${misc:Depends},
 ${perl:Depends},
Suggests:
 uwsgi-dev,
Description: sources for uWSGI plugins
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the sources for uWSGI plugins.

=== debian/rules ===
#!/usr/bin/make -f

# the equivalent of "uwsgi-core --dot-h | md5sum" at runtime
abi = $(firstword $(shell echo | cat uwsgi.h - | md5sum))

# encode list items for use in long description (see deb-substvars(5) )
substvars-list-encode = perl -0 -F'/\s+/' -ane 'print " * ", join("\$${Newline} * ",@F)'

UWSGI_ENV = CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

UWSGI_BUILDER = python3 uwsgiconfig.py -v

UWSGI_SRCPLUGINS_AVAILABLE := $(sort $(notdir $(wildcard plugins/*)))
# plugins not yet ready for production use
UWSGI_SRCPLUGINS_EXPERIMENTAL = libffi libtcc router_spnego
# plugins irrelevant/unusable for Debian or built separately (by another
# dedicated source package.
UWSGI_SRCPLUGINS_ALIEN = airbrake alarm_speech matheval mongodb \
    stackless emperor_mongodb gridfs mongodblog mono php \
	stats_pusher_mongodb v8 gccgo jvm ring servlet jwsgi \
	glusterfs rados rack fiber rbthreads lua \
	python tornado asyncio greenlet gevent psgi coroae \
	pypy
UWSGI_SRCPLUGINS_DEMO = cplusplus dumbloop dummy example exception_log
UWSGI_SRCPLUGINS_UNKNOWN = legion_cache_fetch objc_gc pyuwsgi ruby19
UWSGI_SRCPLUGINS_EXCLUDE = $(UWSGI_SRCPLUGINS_ALIEN) \
	$(UWSGI_SRCPLUGINS_DEMO) $(UWSGI_SRCPLUGINS_EXPERIMENTAL) \
	$(UWSGI_SRCPLUGINS_UNKNOWN)
UWSGI_SRCPLUGINS_WANTED = $(filter-out $(UWSGI_SRCPLUGINS_EXCLUDE),\
	$(UWSGI_SRCPLUGINS_AVAILABLE))
UWSGI_SRCPLUGINS_ADDON = alarm_curl alarm_xmpp curl_cron \
	emperor_pg geoip graylog2 ldap \
	router_access sqlite3 xslt
# tun/tap is unavailable on the Hurd
# systemd is available only on linux
# tuntap plugin broken on kFreeBSD: https://github.com/unbit/uwsgi/issues/695
UWSGI_SRCPLUGINS_SKIP = \
	$(if $(filter hurd,$(DEB_HOST_ARCH_OS)),\
		tuntap) \
	$(if $(filter kfreebsd,$(DEB_HOST_ARCH_OS)),\
		tuntap) \
	$(if $(filter-out linux,$(DEB_HOST_ARCH_OS)),\
		systemd_logger)
UWSGI_SRCPLUGINS_CORE = $(filter-out \
	$(UWSGI_SRCPLUGINS_ADDON) \
	$(UWSGI_SRCPLUGINS_SKIP),\
	$(UWSGI_SRCPLUGINS_WANTED))

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
MANPAGES = $(patsubst %,debian/uwsgi_%.1,$(UWSGI_SRCPLUGINS_ADDON)) \
 debian/uwsgi-core.1 \
 debian/debhelper/dh_uwsgi.1
endif

%:
	dh $@ --buildsystem=none

bin/uwsgi-%: debian/buildconf/uwsgi-%.ini
	$(UWSGI_ENV) $(UWSGI_BUILDER) --build $<

bin/uwsgi_%:
	ln -sf uwsgi-core bin/uwsgi_$*

%_plugin.so:
	$(UWSGI_ENV) $(UWSGI_BUILDER) \
		--plugin plugins/`basename $*` \
		debian/buildconf/uwsgi-plugin.ini
	if [ `dirname $@` != "." ]; then \
		mkdir -p `dirname $@` && mv `basename $@` $@; \
	fi

debian/%.1: bin/%
	help2man \
		--name 'fast (pure C), self-healing, developer-friendly WSGI server' \
		--section 1 \
		--no-info \
		$< > $@

debian/debhelper/%.1: debian/debhelper/%
	pod2man $< > $@

override_dh_auto_build-arch: \
 bin/uwsgi-core \
 $(addsuffix _plugin.so,\
  $(addprefix build/plugins-core/,$(UWSGI_SRCPLUGINS_CORE)) \
  $(UWSGI_SRCPLUGINS_ADDON))

execute_after_dh_auto_build-arch: $(MANPAGES)

override_dh_auto_test:

override_dh_auto_clean:
	$(UWSGI_BUILDER) --clean

execute_after_dh_auto_clean:
	find -type f -name '*.pyc' -delete
	find -type d -name __pycache__ -delete

override_dh_install:
	dh_install -p uwsgi-src -X.key -X.dll
	dh_install --remaining-packages

override_dh_installdocs:
	dh_installdocs --all README CONTRIBUTORS

# move installed examples into subdirs by type
ex_types = conffile psgi rack router wsapi wsgi
ex_conffile = mega.xml multi.* sites.xml uwsgi.xml vassals werkzeug_strict.yml werkzeug.*
ex_rack = config.ru config2.ru fibers.*
ex_router = router.lua uwsgirouter*
ex_psgi = mojoapp.pl
ex_wsapi = *.ws
ex_wsgi = mjpeg_stream.py multiapp.py simple_app.py simple_app_wsgi2.py taskqueue.py
ex_drop = bootstrap* config*.lua config??.ru corostream.pl debug.ini
ex_drop += flaskpost.py heavytest.* info_uwsgi.php logic.ini
ex_drop += protected.ini welcome.ini welcome3.py
execute_after_dh_installexamples-arch:
	set -e; \
	cd debian/uwsgi-core/usr/share/doc/uwsgi-core/examples; \
	$(foreach type, $(ex_types),mkdir $(type); mv -t $(type) $(ex_$(type));) \
	rm $(ex_drop)

override_dh_compress:
	dh_compress -p uwsgi-core \
	 $(addprefix -X,.ini .lua .pl .png .psgi .py .ru .ws .xml .yml)
	dh_compress -p uwsgi-extra \
	 $(addprefix -X,.class .java .rb .c)
	dh_compress --remaining-packages

override_dh_strip:
	dh_strip --dbgsym-migration='uwsgi-dbg (<< 2.0.26-3~)'

override_dh_gencontrol:
	dh_gencontrol -p uwsgi-core -- \
	 -V'uwsgi:Provides=uwsgi-abi-$(abi)' \
	 -V'uwsgi:corepluginlist=$(shell \
	  echo $(UWSGI_SRCPLUGINS_CORE) | $(substvars-list-encode))'
	dh_gencontrol --remaining-packages

## uwsgi 2.0.29

=== debian/changelog ===
uwsgi (2.0.29-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:06:04 +0200

uwsgi (2.0.29-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Alexandre Rossi ]
  * add patch to handle backlog of UNIX socket too
  * add patch to fix build with gcc-15 (Closes: #1098052)
  * remove patches which have been integrated upstream
  * add patch to use python3

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Apr 2025 22:24:52 +0200

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
  libyajl-dev,
  libyaml-dev,
  libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
+ shellcheck <!nocheck>,
  uuid-dev,
  zlib1g-dev,
 Standards-Version: 4.7.2

## uwsgi 2.0.30

=== debian/changelog ===
uwsgi (2.0.30-1) unstable; urgency=medium

  [ upstream ]
  * release 2.0.30

  [ Jonas Smedegaard ]
  * remove myself as uploader

  [ Alexandre Rossi ]
  * add explicit build depend on libcrypt-dev (Closes: #1107044)
  * drop 1005_avoid_auto_ptr.patch (mongodb and gridfs plugins do not work)
  * silence some lintian issues that do not need fixing
  * fix some user visible typos
  * sort out patch headers and forward most
  * fix FTBS of pty and tuntap plugins (Closes: #1114429)

 -- Alexandre Rossi <niol@zincube.net>  Mon, 08 Sep 2025 10:38:26 +0200

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/unbit/uwsgi/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## uwsgi 2.0.31

=== Makefile ===
--- 
+++ 
@@ -22,3 +22,5 @@
 
 %:
 	$(PYTHON) uwsgiconfig.py --build $@
+
+.PHONY: all clean check tests

=== t/core/readline/requirements.txt ===
requests
Werkzeug

=== debian/changelog ===
uwsgi (2.0.31-1) unstable; urgency=medium

  * New upstream release 2.0.31
  * drop upstream'd patches

 -- Alexandre Rossi <niol@zincube.net>  Sun, 12 Oct 2025 19:00:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: uWSGI packaging team <pkg-uwsgi-devel@lists.alioth.debian.org>
 Uploaders:
- Jonas Smedegaard <dr@jones.dk>,
  Alexandre Rossi <niol@zincube.net>,
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,6 +11,7 @@
  libacl1-dev,
  libcap-dev [linux-any],
  libcurl4-openssl-dev,
+ libcrypt-dev,
  libgeoip-dev,
  libgloox-dev,
  libjail-dev [kfreebsd-any],

=== debian/rules ===
--- 
+++ 
@@ -89,6 +89,11 @@
 execute_after_dh_auto_build-arch: $(MANPAGES)
 
 override_dh_auto_test:
+	find debian \
+		-type f -not -empty -regextype egrep \
+		-regex '.*(postinst|prerm|rtupdate|init\.d).*' \
+		-exec shellcheck -e SC1090,SC1091,SC2034,SC2043 -s sh {} +
+	shellcheck -e SC1091,SC2001,SC2034,SC2162 -s bash debian/uwsgi-files/init/*
 
 override_dh_auto_clean:
 	$(UWSGI_BUILDER) --clean

=== debian/tests/control ===
Tests: integration
Depends: uwsgi-core, python3-requests
Restrictions: allow-stderr

## uwsgi exporter-1.3.0

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64
DOCKER_REPO ?= timonwong

include Makefile.common

DOCKER_IMAGE_NAME       ?= uwsgi-exporter

STATICCHECK_IGNORE =

.PHONY: build
build: common-build

.PHONY: test
test: common-test
